/*
 * constants.h
 *
 *  Created on: 13.02.2011
 *      Author: AndreR
 */

#ifndef __CONSTANTS_H__
#define __CONSTANTS_H__

/////////////////////////////////////////////////
// Buffer Sizes
/////////////////////////////////////////////////

// SPI
#define SPI3_FIFO_SIZE 1024
#define SPI3_DMA_SIZE 1024
#define SPI3_CB_SIZE 1024

// USART1
#define USART1_TX_SIZE 500
#define USART1_RX_SIZE 300

// CONSOLE
#define CONSOLE_RX_SIZE 300
#define CONSOLE_TX_SIZE 500
#define CONSOLE_PRINT_SIZE 500
#define CONSOLE_SCAN_SIZE 100

// CLI
#define CLI_PROC_SIZE 1000

// WIFI
#define WIFI_MODULE_BUF_SIZE 1024
#define WIFI_TX_QUEUE_SIZE 4096
#define WIFI_SEND_BUFFER_SIZE 512

// NETWORK
#define NETWORK_NUM_DESCRIPTORS 52
#define NETWORK_BUFFER_SIZE 128
#define NETWORK_MAX_FRAME_SIZE 1520


/////////////////////////////////////////////////
// IRQ Levels
/////////////////////////////////////////////////

// SPI
#define IRQL_SPI3 10

// USART1
#define IRQL_USART1 14

// MII IRQ (link change)
#define IRQL_ETH_LINK 14

// MII Data
#define IRQL_ETH_DATA 12

// Wifi IRQ line
#define IRQL_WIFI 11

#endif
