/*
 * eeprom.h
 *
 *  Created on: 07.03.2013
 *      Author: AndreR
 *
 * Target device: 25xx010A
 */

#ifndef EEPROM_H_
#define EEPROM_H_

#include "stm32f10x.h"
#include "util/spi.h"

#include "FreeRTOS.h"
#include "semphr.h"

typedef struct _EEPROM
{
	SPI* pSPI;
	uint8_t slaveId;
	xSemaphoreHandle hOPComplete;
	xSemaphoreHandle hInUse;
	uint8_t* pReadDst;
} EEPROM;

int16_t EEPROMInit(EEPROM* pEEPROM, SPI* pSPI, GPIO_TypeDef* pGPIO, uint16_t csPin);
int16_t EEPROMRead(EEPROM* pEEPROM, uint8_t address, uint8_t* pData, uint8_t length);
int16_t EEPROMWrite(EEPROM* pEEPROM, uint8_t address, uint8_t* pData, uint8_t length);

#endif /* EEPROM_H_ */
