/*
 * led.c
 *
 *  Created on: 30.10.2010
 *      Author: AndreR
 */

#include "led.h"

#include "stm32f10x.h"
#include "stm32f10x_gpio.h"

#include "FreeRTOS.h"
#include "task.h"

#define LED0 (1 << 15)

void LEDInit()
{
	GPIO_InitTypeDef gpioInit;
	gpioInit.GPIO_Pin = LED0;
	gpioInit.GPIO_Mode = GPIO_Mode_Out_PP;
	gpioInit.GPIO_Speed = GPIO_Speed_2MHz;
	GPIO_Init(GPIOC, &gpioInit);
}

void LEDOn()
{
	GPIOC->BRR = LED0;
}

void LEDOff()
{
	GPIOC->BSRR = LED0;
}

void LEDToggle()
{
	GPIOC->ODR ^= LED0;
}
