/*
 * config.h
 *
 *  Created on: 28.04.2013
 *      Author: AndreR
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#include "stm32f4xx.h"

typedef struct _Config
{
	uint8_t magic;			// magic byte to check eeprom content

	uint8_t botId;
	uint8_t channel;		// frequency
	uint8_t speed;

	float gyroScale;

	// the config struct should always be padded to 4 bytes
} __attribute__((aligned(4),packed)) Config;

extern Config config;
extern const Config* pEeConfig;

void ConfigInit();
int16_t ConfigSave();
void ConfigReset();

#endif /* CONFIG_H_ */
