/*
 * vector.h
 *
 *  Created on: 26.12.2012
 *      Author: AndreR
 */

#ifndef VECTOR_H_
#define VECTOR_H_

#include "arm_math.h"

typedef union _Vector3f
{
	float data[3];

	struct
	{
		float x;
		float y;
		union
		{
			float z;
			float w;
		};
	};
} Vector3f;

typedef union _Vector2f
{
	float data[2];

	struct
	{
		float x;
		float y;
	};
} Vector2f;

Vector2f Vector2fCreate(float x, float y);
float Vector2fLength(Vector2f v);
Vector2f Vector2fSubtract(Vector2f a, Vector2f b);

#endif /* VECTOR_H_ */
