/*
 * motor_data.h
 *
 *  Created on: 16.03.2011
 *      Author: AndreR
 */

#ifndef __MOTOR_DATA_H__
#define __MOTOR_DATA_H__

#include <stdint.h>

#define MOTOR_DATA_SIZE 32

#define MOTOR_CMD_NONE				0x00
#define MOTOR_CMD_SET_THRESHOLD		0x01

typedef union __attribute__ ((packed)) _MotorData
{
	struct __attribute__ ((packed))
	{
		uint16_t cmd;
		uint16_t setThreshold;
		uint8_t reserved[12];	// MOSI

		uint16_t current[5];
		uint16_t irLevel;
		uint16_t irThreshold;
		uint8_t fault;
		uint8_t reserved2[1];
	};

	struct __attribute__ ((packed))
	{
		uint8_t mosi[MOTOR_DATA_SIZE/2];
		uint8_t miso[MOTOR_DATA_SIZE/2];
	} exchange;
} MotorData;

#endif
