/*
 * dribbler.h
 *
 *  Created on: 10.03.2013
 *      Author: AndreR
 */

#ifndef DRIBBLER_H_
#define DRIBBLER_H_

#include "stm32f4xx.h"
#include "arm_math.h"

typedef void(*SpeedReachedCallback)();

typedef struct _Dribbler
{
	uint32_t lastHfTickCount;
	uint32_t lastReaction;

	arm_pid_instance_f32 pid;

	float setpoint;	// dribbler bar [RPM]

	uint8_t logEnabled;
	uint8_t enabled;
	uint8_t speedReached;
	uint8_t overload;

	float reachedToleranceIn;
	float reachedTolercanceOut;

	SpeedReachedCallback speedCb;
} Dribbler;

extern Dribbler dribbler;

void DribblerInit();
void DribblerTask(void* params);
void DribblerSetParams(float kp, float ki, float kd);
void DribblerSetTolerances(float in, float out);
void DribblerSetTarget(float rpm);
void DribblerSetLog(uint8_t enable);
void DribblerSetSpeedCallback(SpeedReachedCallback cb);

#endif /* DRIBBLER_H_ */
