/*
 * bootloader.c
 *
 *  Created on: 21.04.2013
 *      Author: AndreR
 */

#include "bootloader.h"

#include "intercom1.h"
#include "intercom_constants.h"
#include "util/boot.h"

static void bootloaderCb(IntercomHeader* pHeader, uint16_t dataLength, uint8_t* pData, void* pUserData)
{
	(void)pUserData;
	(void)dataLength;

	switch(pHeader->command)
	{
		case 0:	// reset request
		{
			BootSetBootloaderSelected(1);
			BootReset();
		}
		break;
	}
}

void BootloaderInit()
{
	IntercomClient client;
	client.pUserData = 0;
	client.section = INTERCOM_SECTION_BOOTLOADER;
	client.rxCallback = &bootloaderCb;

	IntercomAddClient(&intercom1, client);
}
