/*
 * display.h
 *
 *  Created on: 06.12.2012
 *      Author: AndreR
 */

#ifndef DISPLAY_H_
#define DISPLAY_H_

#include "stm32f4xx.h"

#include "FreeRTOS.h"
#include "semphr.h"

typedef struct _Display
{
	uint8_t slaveId;

	volatile uint8_t touchPressed;		// clear after reading 1
	volatile uint8_t touchReleased;		// clear after reading 1
	volatile uint8_t touchDown;	// read only by user, indicates valid X and Y

	uint16_t touchX;
	uint16_t touchY;
	uint16_t touchZ1;
	uint16_t touchZ2;
	float touchZ;

	xSemaphoreHandle hTouch;

	uint8_t trackingDemo;	// enable touch point pixel tracking demo
} Display;

extern Display display;

void DisplayInit();
void DisplayTask(void* params);

#endif /* DISPLAY_H_ */
