/*
 * primitives.c
 *
 *  Created on: 08.06.2013
 *      Author: AndreR
 */

#include "primitives.h"

PointU16 PointU16XY(uint16_t x, uint16_t y)
{
	PointU16 p = { .x = x, .y = y };

	return p;
}

PointU16 PointU16Add(PointU16 a, PointU16 b)
{
	PointU16 p = a;
	p.x += b.x;
	p.y += b.y;

	return p;
}

SizeU16 SizeU16WH(uint16_t width, uint16_t height)
{
	SizeU16 s = { .width = width, .height = height };

	return s;
}

uint32_t RectU16Size(RectU16* pRect)
{
	return (pRect->b.x-pRect->a.x+1)*(pRect->b.y-pRect->a.y+1);
}

RectU16 RectU16Points(PointU16 a, PointU16 b)
{
	RectU16 rect = { .a = a, .b = b };

	return rect;
}

RectU16 RectU16Coordinates(uint16_t ax, uint16_t ay, uint16_t bx, uint16_t by)
{
	RectU16 rect = { .a = {ax, ay}, .b = {bx, by} };

	return rect;
}

RectU16 RectU16PosSize(PointU16 pos, SizeU16 size)
{
	RectU16 rect = { .a = pos, .b = {pos.x+size.width-1, pos.y+size.height-1} };

	return rect;
}

uint8_t RectU16IsPointInRect(RectU16 rect, PointU16 p)
{
	if(p.x >= rect.a.x && p.x <= rect.b.x && p.y >= rect.a.y && p.y <= rect.b.y)
		return 1;

	return 0;
}
