/*
 * usb.c
 *
 *  Created on: 17.01.2013
 *      Author: AndreR
 */

#include "usb.h"
#include "usb_hcd_int.h"
#include "usbh_usr.h"

#include "FreeRTOS.h"
#include "task.h"

#include "hal/exti.h"

USB_OTG_CORE_HANDLE	USB_OTG_Core;
USBH_HOST			USB_Host;

void OTG_FS_IRQHandler()
{
	USBH_OTG_ISR_Handler(&USB_OTG_Core);
}

static void usbFault()
{
	USB_Host.usr_cb->OverCurrentDetected();
}

void USBInit()
{
	ExtiSetCallback(&usbFault, 10);

	USBH_MSC_Init(&USB_OTG_Core);

	USBH_Init(&USB_OTG_Core, USB_OTG_FS_CORE_ID, &USB_Host, &USR_cb);
}

void USBTask(void* params)
{
	(void)params;

	while(1)
	{
		USBH_Process(&USB_OTG_Core, &USB_Host);

		vTaskDelay(10/portTICK_RATE_MS);
	}
}
